Bug 612817 - IDs not set on procedure, itemizedlist, or orderedlist
Summary: IDs not set on procedure, itemizedlist, or orderedlist
Status: CLOSED ERRATA
Alias: None
Product: Publican
Classification: Community
Component: publican   
(Show other bugs)
Version: 1.6
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jeff Fearn ๐Ÿž
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 614788
TreeView+ depends on / blocked
 
Reported: 2010-07-09 06:37 UTC by BenC
Modified: 2010-11-24 04:16 UTC (History)
6 users (show)

Fixed In Version: publican-2.2-0.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 20:42:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description BenC 2010-07-09 06:37:19 UTC
Description of problem:
When I create a link to a procedure and click on the link nothing happens. This behaviour is only evident for hyml-single formatted documents. 

Version-Release number of selected component (if applicable):
version=2.1


How reproducible:
every time for html-single

Steps to Reproduce:
1. create a procedure <procedure id="anId">...</procedure>
2. create a link to that procedure <xref linkend="anId"></xref>
3. build the book in html-single
4. click on the link
  
Actual results:
I am still looking at the link

Expected results:
I should see the procedure


Additional info:
I have tested in pdf and html. These formats are not affected.

Comment 1 Christopher Curran 2010-07-16 04:31:29 UTC
This issue is also affecting me. 100% reproducible.

Comment 2 Christopher Curran 2010-07-16 05:46:56 UTC
This also affects all itemized lists with id tags.

Comment 3 Jeff Fearn ๐Ÿž 2010-08-04 06:04:42 UTC
Set IDs on procedure and itemizedlist 

Fixed in Build: 2.1-0%{?dist}.t13

Comment 4 Ruediger Landmann 2010-08-06 04:16:35 UTC
Verified in 2.1.t20 for procedure and itemizedlist

It might be worth enabling this for orderedlist too?

Comment 5 Jeff Fearn ๐Ÿž 2010-08-06 06:02:20 UTC
Fixed orderedlist in build: 2.1-0%{?dist}.t29

Comment 6 Ruediger Landmann 2010-08-07 13:09:08 UTC
Verified orderedlist working in build: 2.1-0%{?dist}.t29

Comment 8 Fedora Update System 2010-10-06 05:48:40 UTC
publican-2.2-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc13

Comment 9 Fedora Update System 2010-10-06 05:49:58 UTC
publican-2.2-0.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc12

Comment 10 Fedora Update System 2010-10-06 05:50:02 UTC
publican-2.2-0.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/publican-2.2-0.fc14

Comment 11 Fedora Update System 2010-10-08 20:40:05 UTC
publican-2.2-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.